SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   IcedTea Vendors:   IcedTea Project
IcedTea-Web Heap Overflow in IcedTeaScriptableJavaObject Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1027738
SecurityTracker URL:  http://securitytracker.com/id/1027738
CVE Reference:   CVE-2012-4540   (Links to External Site)
Date:  Nov 8 2012
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to versions 1.1.7, 1.2.2, 1.3.1
Description:   A vulnerability was reported in IcedTea-Web. A remote user can execute arbitrary code on the target system.

A remote user can create specially crafted HTML that, when loaded by the target user, will trigger a heap overflow in the 'IcedTeaScriptableJavaObject' plugin and execute arbitrary code on the target user's system. The code will run with the privileges of the target service.

The vulnerability resides in 'plugin/icedteanp/IcedTeaScriptablePluginObject.cc'.

Arthur Gerkis reported this vulnerability.

Impact:   A remote user can cause arbitrary code to be executed on the target user's system.
Solution:   The vendor has issued a fix (1.1.7, 1.2.2, 1.3.1).

The vendor's advisory is available at:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-November/020775.html

Vendor URL:  icedtea.classpath.org/wiki/IcedTea-Web (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC